%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

# we don't want to provide private python extension libs
%define __provides_exclude_from %{python_sitearch}.*.so$

# Determine the location of the LDB modules directory
%global ldb_modulesdir %(pkg-config --variable=modulesdir ldb)
%global ldb_version 1.1.13

Name: sssd
Version: 1.9.2
Release: 82.10%{?dist}
Group: Applications/System
Summary: System Security Services Daemon
License: GPLv3+
URL: http://fedorahosted.org/sssd/
Source0: https://fedorahosted.org/released/sssd/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

### Patches ###

Patch0001: 0001-LDAP-Check-validity-of-naming_context.patch
Patch0002: 0002-Monitor-read-the-correct-SIGKILL-timeout-for-provide.patch
Patch0003: 0003-sudo-do-not-fail-if-usn-value-is-zero-but-full-refre.patch
Patch0004: 0004-sudo-refresh-handle-errors-properly.patch
Patch0005: 0005-subdomain-id-Generate-homedir-only-for-users-not-gro.patch
Patch0006: 0006-pac-responder-fix-copy-and-paste-error.patch
Patch0007: 0007-sysdb-look-for-ranges-in-the-parent-tree.patch
Patch0008: 0008-pac-responder-use-only-lower-case-user-name.patch
Patch0009: 0009-pac-responder-add-user-principal-and-name-alias-to-c.patch
Patch0010: 0010-krb5_auth_send-check-for-sub-domains.patch
Patch0011: 0011-sysdb-add-sysdb_base_dn.patch
Patch0012: 0012-check_ccache_files-search-sub-domains-as-well.patch
Patch0013: 0013-Add-replacement-for-krb5_find_authdata.patch
Patch0014: 0014-krb5_auth-check-if-principal-belongs-to-a-different-.patch
Patch0015: 0015-krb5_auth-send-different_realm-flag-to-krb5_child.patch
Patch0016: 0016-krb5_child-send-PAC-to-PAC-responder.patch
Patch0017: 0017-krb5_mod_ccname-replace-wrong-memory-context.patch
Patch0018: 0018-krb5_child-send-back-the-client-principal.patch
Patch0019: 0019-Add-new-call-find_or_guess_upn.patch
Patch0020: 0020-Use-find_or_guess_upn-where-needed.patch
Patch0021: 0021-krb5_auth-update-with-correct-UPN-if-needed.patch
Patch0022: 0022-sss_parse_name_for_domains-always-return-the-canonic.patch
Patch0023: 0023-Make-sub-domains-case-insensitive.patch
Patch0024: 0024-KRB5-Return-error-when-principal-selection-fails.patch
Patch0025: 0025-Free-the-internal-DP-request.patch
Patch0026: 0026-Fix-two-errors-in-the-nss-responder.patch
Patch0027: 0027-PAM-Do-not-leak-fd-after-SELinux-context-file-is-wri.patch
Patch0028: 0028-authconfig-allow-chpass_provider-proxy.patch
Patch0029: 0029-LDAP-Fix-off-by-one-error-when-saving-ghost-users.patch
Patch0030: 0030-add-SSSDBG_IMPORTANT_INFO-macro.patch
Patch0031: 0031-fix-indendation-coding-style-and-debug-levels-in-ser.patch
Patch0032: 0032-make-monitor_quit-usable-outside-signal-handler.patch
Patch0033: 0033-exit-original-process-after-sssd-is-initialized.patch
Patch0034: 0034-create-pid-file-immediately-after-fork-again.patch
Patch0035: 0035-sss_cache-Multiple-domains-not-handled-properly.patch
Patch0036: 0036-RPMS-Move-sss_cache-tool-to-main-package.patch
Patch0037: 0037-util-Added-new-file-util_lock.c.patch
Patch0038: 0038-sss_cache-Remove-fastcache-even-if-sssd-is-not-runni.patch
Patch0039: 0039-Monitor-Better-debugging-for-ping-timeouts.patch
Patch0040: 0040-MAN-Specify-the-correct-location-for-the-force_timeo.patch
Patch0041: 0041-SSSDConfig-Locate-the-force_timeout-option-in-the-co.patch
Patch0042: 0042-util_lock.c-sss_br_lock_file-accepted-invalid-parame.patch
Patch0043: 0043-sss_dp_get_domains_send-handle-subreq-error-correctl.patch
Patch0044: 0044-Clarify-debug-message-about-initgroups-and-subdomain.patch
Patch0045: 0045-Do-not-remove-a-group-if-it-has-members-from-subdoma.patch
Patch0046: 0046-Add-diff_gid_lists-with-test.patch
Patch0047: 0047-Add-pac_user_get_grp_info-to-read-current-group-memb.patch
Patch0048: 0048-Get-lists-of-GIDs-to-be-added-and-deleted-and-use-th.patch
Patch0049: 0049-Store-the-original-group-DN-in-the-subdomain-user-ob.patch
Patch0050: 0050-Add-string_in_list-and-add_string_to_list-with-tests.patch
Patch0051: 0051-Always-start-PAC-responder-if-IPA-ID-provider-is-con.patch
Patch0052: 0052-Run-IPA-subdomain-provider-if-IPA-ID-provider-is-con.patch
Patch0053: 0053-subdomains-check-request-type-on-one-place-only.patch
Patch0054: 0054-sudo-fix-missing-parameter-in-two-debug-messages.patch
Patch0055: 0055-use-tmp_ctx-in-sudosrv_get_sudorules_from_cache.patch
Patch0056: 0056-sudo-support-users-from-subdomains.patch
Patch0057: 0057-sudo-do-not-send-domain-name-with-username.patch
Patch0058: 0058-sudo-print-how-many-rules-we-are-refreshing-or-retur.patch
Patch0059: 0059-KRB5-Rename-variable-to-avoid-shadowing-a-global-dec.patch
Patch0060: 0060-Only-build-extract_and_send_pac-on-platforms-that-su.patch
Patch0061: 0061-SYSDB-Do-not-touch-the-member-attribute-during-conve.patch
Patch0062: 0062-Do-not-always-return-PAM_SYSTEM_ERR-when-offline-krb.patch
Patch0063: 0063-Include-the-auth_utils.h-header-in-the-distribution.patch
Patch0064: 0064-SUDO-Fix-wrong-variable-check.patch
Patch0065: 0065-SUDO-Remove-unused-variable.patch
Patch0066: 0066-sudo-store-rules-with-no-sudoHost-attribute.patch
Patch0067: 0067-Display-more-information-on-DB-version-crash.patch
Patch0068: 0068-SERVER-Check-the-return-value-of-waitpid.patch
Patch0069: 0069-LDAP-Allocate-the-temporary-context-on-NULL-not-memc.patch
Patch0070: 0070-LDAP-Fix-saving-empty-groups.patch
Patch0071: 0071-LDAP-use-the-correct-memory-context.patch
Patch0072: 0072-LDAP-Better-debug-logging-when-saving-groups.patch
Patch0073: 0073-LDAP-Refactor-saving-ghost-users.patch
Patch0074: 0074-Simplify-writing-db-update-functions.patch
Patch0075: 0075-Refactor-the-way-subdomain-accounts-are-saved.patch
Patch0076: 0076-Do-not-save-HBAC-rules-in-subdomain-subtree.patch
Patch0077: 0077-Handle-conversion-to-fully-qualified-usernames.patch
Patch0078: 0078-LDAP-Expire-even-non-authenticated-connections.patch
Patch0079: 0079-Restart-services-with-a-delay-in-case-they-are-resta.patch
Patch0080: 0080-MAN-document-the-ldap_sasl_realm-option.patch
Patch0081: 0081-LDAP-Provide-a-common-sdap_set_sasl_options-init-fun.patch
Patch0082: 0082-LDAP-Checking-the-principal-should-not-be-considered.patch
Patch0083: 0083-LDAP-Make-it-possible-to-use-full-principal-in-ldap_.patch
Patch0084: 0084-Just-use-the-service-name-with-krb5_get_init_creds_p.patch
Patch0085: 0085-Fix-compare_principal_realm-check.patch
Patch0086: 0086-Disable-canonicalization-during-password-changes.patch
Patch0087: 0087-backend-add-PAC-to-the-list-of-known-clients.patch
Patch0088: 0088-KRB5-Work-around-const-warning-for-krb5-releases-old.patch
Patch0089: 0089-SYSDB-Use-the-add_string-convenience-functions-for-m.patch
Patch0090: 0090-LDAP-Only-convert-direct-parents-ghost-attribute-to-.patch
Patch0091: 0091-MONITOR-Fix-off-by-one-error-in-add_string_to_list.patch
Patch0092: 0092-LDAP-fix-uninitialized-variable.patch
Patch0093: 0093-SYSDB-Don-t-operate-with-aliases-same-as-name.patch
Patch0094: 0094-debug-print-fatal-and-critical-errors-if-debug-level.patch
Patch0095: 0095-fix-SIGSEGV-in-IPA-provider-when-ldap_sasl_authid-is.patch
Patch0096: 0096-Uninitialized-pointer-read.patch
Patch0097: 0097-do-not-default-fullname-to-gecos-when-schema-ad.patch
Patch0098: 0098-idmap-Silence-DEBUG-messages-when-dealing-with-built.patch
Patch0099: 0099-Null-pointer-dereferenced.patch
Patch0100: 0100-Monitor-quit-when-not-exists-no-process-no-stops.patch
Patch0101: 0101-avoid-versioning-libsss_sudo.patch
Patch0102: 0102-IPA-Handle-bad-results-from-c-ares-lookup.patch
Patch0103: 0103-RESOLV-return-ENOENT-if-the-address-list-is-empty.patch
Patch0104: 0104-warn-user-if-password-is-about-to-expire.patch
Patch0105: 0105-Dereference-after-null-check-in-sss_idmap_sid_to_uni.patch
Patch0106: 0106-Missing-parameter-in-DEBUG-message.patch
Patch0107: 0107-mmap-cache-public-functions-to-invalidate-records.patch
Patch0108: 0108-Hook-to-perform-a-mmap-cache-update-from-sssd_nss.patch
Patch0109: 0109-Hook-for-mmap-cache-update-on-initgroup-calls.patch
Patch0110: 0110-Add-backchannel-NSS-provider-query-on-initgr-calls.patch
Patch0111: 0111-Always-append-rctx-as-private-data.patch
Patch0112: 0112-MEMBEROF-Do-not-add-the-ghost-attribute-to-self.patch
Patch0113: 0113-TESTS-Test-ghosts-users-in-the-RFC2307-schema.patch
Patch0114: 0114-MEMBEROF-Implement-delete-operation-for-ghost-users.patch
Patch0115: 0115-MEMBEROF-split-processing-the-member-modify-into-a-s.patch
Patch0116: 0116-MEMBEROF-Split-the-del-ghost-attribute-op-into-a-reu.patch
Patch0117: 0117-MEMBEROF-Split-the-add-ghost-operation-into-a-separa.patch
Patch0118: 0118-MEMBEROF-Implement-the-modify-operation-for-ghost-us.patch
Patch0119: 0119-MEMBEROF-Keep-inherited-ghost-users-around-on-modify.patch
Patch0120: 0120-NSS-Fix-netgroup-midpoint-cache-refresh.patch
Patch0121: 0121-do-not-crash-when-id_provider-is-not-set.patch
Patch0122: 0122-LDAP-Continue-adjusting-group-membership-even-if-the.patch
Patch0123: 0123-link-sss_ssh_authorizedkeys-and-sss_ssh_knownhostspr.patch
Patch0124: 0124-MAN-Move-ssh_known_hosts_timeout-documentation-to-th.patch
Patch0125: 0125-PROXY-fix-negative-cache.patch
Patch0126: 0126-PAC-check-the-return-value-of-diff_git_lists.patch
Patch0127: 0127-SYSDB-Move-misplaced-assignment.patch
Patch0128: 0128-LDAP-remove-dead-assignment.patch
Patch0129: 0129-MEMBEROF-Fix-copy-n-paste-error.patch
Patch0130: 0130-sudo-don-t-get-stuck-in-rules-and-smart-refresh-when.patch
Patch0131: 0131-NSS-Fix-the-error-handler-in-sss_mc_create_file.patch
Patch0132: 0132-let-krb5_kpasswd-failover-work.patch
Patch0133: 0133-sudo-manpage-clarify-that-sudoHost-may-contain-wildc.patch
Patch0134: 0134-SUDO-strdup-the-input-variable.patch
Patch0135: 0135-sysdb_get_sudo_user_info-initialize-attrs-on-declara.patch
Patch0136: 0136-sudo-include-primary-group-in-user-group-list.patch
Patch0137: 0137-sssd_nss-Remove-entries-from-memory-cache-if-not-fou.patch
Patch0138: 0138-tools-sss_userdel-and-groupdel-remove-entries-from-m.patch
Patch0139: 0139-sssd_pam-Cleanup-requests-cache-on-sbus-reconect.patch
Patch0140: 0140-let-ldap_chpass_uri-failover-work-when-using-same-ho.patch
Patch0141: 0141-PROXY-fix-groups-caching.patch
Patch0142: 0142-MEMBEROF-silence-compilation-warnings.patch
Patch0143: 0143-RESOLV-Do-not-steal-the-resulting-hostent-on-error.patch
Patch0144: 0144-try-primary-server-after-retry_timeout-1-seconds-whe.patch
Patch0145: 0145-add-sdap_sudo_schedule_refresh.patch
Patch0146: 0146-check-dp-error-in-sdap_sudo_full_refresh_done.patch
Patch0147: 0147-sudo-schedule-another-full-refresh-in-short-interval.patch
Patch0148: 0148-sudo-do-full-refresh-when-data-provider-is-back-onli.patch
Patch0149: 0149-SYSDB-fix-copy-n-paste-error.patch
Patch0150: 0150-SYSDB-Add-API-to-invalidate-all-map-objects.patch
Patch0151: 0151-DP-invalidate-all-cached-maps-if-a-request-for-auto..patch
Patch0152: 0152-AUTOFS-allow-removing-entries-from-hash-table.patch
Patch0153: 0153-AUTOFS-remove-all-maps-from-hash-if-request-for-auto.patch
Patch0154: 0154-RESPONDERS-Create-a-common-file-with-service-names-a.patch
Patch0155: 0155-AUTOFS-Clear-enum-cache-if-a-request-comes-in-from-t.patch
Patch0156: 0156-Add-responder_sbus.h-to-noinst_HEADERS.patch
Patch0157: 0157-select_principal_from_keytab-look-for-plain-input-as.patch
Patch0158: 0158-select_principal_from_keytab-do-wildcard-lookups-aft.patch
Patch0159: 0159-SYSDB-More-debugging-during-the-conversion-to-ghost-.patch
Patch0160: 0160-responder_dp-Add-timeout-to-side-requets.patch
Patch0161: 0161-memberof-Prevent-unneded-failure-case.patch
Patch0162: 0162-sssd_nss-Plug-memory-leaks.patch
Patch0163: 0163-Set-cloexec-flag-for-log-files.patch
Patch0164: 0164-Free-resources-if-fileno-failed.patch
Patch0165: 0165-Add-default-section-to-switch-statement.patch
Patch0166: 0166-SSH-Reject-requests-for-authorized-keys-of-root.patch
Patch0167: 0167-krb5-tgt-renewal-fix-usage-of-ldb_dn_get_component_v.patch
Patch0168: 0168-nss_mc-Add-extra-checks-when-dereferencing-records.patch
Patch0169: 0169-Update-free-table-when-records-are-invalidated.patch
Patch0170: 0170-Carefully-check-records-when-forcibly-invalidating.patch
Patch0171: 0171-mmap-cache-invalidate-cache-on-fatal-error.patch
Patch0172: 0172-sss_cache-Small-refactor.patch
Patch0173: 0173-sss_cache-fqdn-not-accepted.patch
Patch0174: 0174-let-krb5_backup_kpasswd-failover-work.patch
Patch0175: 0175-SYSDB-Modify-ghosts-in-permissive-mode.patch
Patch0176: 0176-sss_userdel-and-sss_groupdel-with-use_fully_qualifie.patch
Patch0177: 0177-Search-for-SHORTNAME-REALM-instead-of-fqdn-REALM-by-.patch
Patch0178: 0178-sudo-smart-refresh-do-not-include-usn-in-filter-if-n.patch
Patch0179: 0179-sudo-smart-refresh-fix-debug-message.patch
Patch0180: 0180-Use-struct-pac_grp-instead-of-gid_t-for-groups-from-.patch
Patch0181: 0181-Add-find_domain_by_id.patch
Patch0182: 0182-IDMAP-add-sss_idmap_smb_sid_to_unix.patch
Patch0183: 0183-Update-domain-ID-for-local-domain-as-well.patch
Patch0184: 0184-Always-get-user-data-from-PAC.patch
Patch0185: 0185-Save-domain-and-GID-for-groups-from-the-configured-d.patch
Patch0186: 0186-Remote-groups-do-not-have-an-original-DN-attribute.patch
Patch0187: 0187-Read-remote-groups-from-PAC.patch
Patch0188: 0188-Translate-LDB_ERR_ATTRIBUTE_OR_VALUE_EXISTS-to-EEXIS.patch
Patch0189: 0189-Use-hash-table-to-collect-GIDs-from-PAC-to-avoid-dup.patch
Patch0190: 0190-Add-tests-for-get_gids_from_pac.patch
Patch0191: 0191-PAC-responder-check-if-existing-user-differs.patch
Patch0192: 0192-Refactor-gid-handling-in-the-PAC-responder.patch
Patch0193: 0193-SYSDB-Remove-duplicate-selinux-defines.patch
Patch0194: 0194-SYSDB-Split-a-function-to-read-all-SELinux-maps.patch
Patch0195: 0195-SELINUX-Process-maps-even-when-offline.patch
Patch0196: 0196-IPA-Rename-IPA_CONFIG_SELINUX_DEFAULT_MAP.patch
Patch0197: 0197-AD-replace-GID-UID-do-not-add-another-one.patch
Patch0198: 0198-AD-Add-user-as-a-direct-member-of-his-primary-group.patch
Patch0199: 0199-let-ldap_backup_chpass_uri-work.patch
Patch0200: 0200-Fix-invalidating-autofs-maps.patch
Patch0201: 0201-TOOLS-move-memcache-related-functions-to-tools_mc_ut.patch
Patch0202: 0202-TOOLS-Split-querying-nss-responder-into-a-separate-f.patch
Patch0203: 0203-TOOLS-Provide-a-convenience-function-to-refresh-a-li.patch
Patch0204: 0204-TOOLS-Refresh-memcache-after-changes-to-local-users-.patch
Patch0205: 0205-LDAP-avoid-complex-realloc-logic-in-save_rfc2307bis_.patch
Patch0206: 0206-autofs-Use-SAFEALIGN_SET_UINT32-instead-of-SAFEALIGN.patch
Patch0207: 0207-NSS-invalidate-memcache-user-entry-on-initgr-too.patch
Patch0208: 0208-Invalidate-user-entry-even-if-there-are-no-groups.patch
Patch0209: 0209-LDAP-Compare-lists-of-DNs-when-saving-autofs-entries.patch
Patch0210: 0210-TOOLS-invalidate-parent-groups-in-memory-cache-too.patch
Patch0211: 0211-fix-backend-callbacks-remove-callback-properly-from-.patch
Patch0212: 0212-Convert-the-value-of-pwd_exp_warning-to-seconds.patch
Patch0213: 0213-sudo-responder-change-num_rules-type-from-size_t-to-.patch
Patch0214: 0214-Check-that-strings-do-not-go-beyond-the-end-of-the-p.patch
Patch0215: 0215-TOOLS-Use-openat-unlinkat-when-removing-the-homedir.patch
Patch0216: 0216-TOOLS-Use-file-descriptor-to-avoid-races-when-creati.patch
Patch0217: 0217-SYSDB-make-the-sss_ldb_modify_permissive-function-pu.patch
Patch0218: 0218-SYSDB-Expire-group-if-adding-ghost-users-fails-with-.patch
Patch0219: 0219-nested-groups-fix-group-lookup-hangs-if-member-dn-is.patch
Patch0220: 0220-Fix-the-krb5-password-expiration-warning.patch
Patch0221: 0221-Don-t-treat-0-as-default-for-pam_pwd_expiration-warn.patch
Patch0222: 0222-Provide-a-be_get_account_info_send-function.patch
Patch0223: 0223-Add-unit-tests-for-simple-access-test-by-groups.patch
Patch0224: 0224-Do-not-compile-main-in-DP-if-UNIT_TESTING-is-defined.patch
Patch0225: 0225-Resolve-GIDs-in-the-simple-access-provider.patch
Patch0226: 0226-ldap-Fallback-option-for-rfc2307-schema.patch
Patch0227: 0227-Fix-simple-access-group-control-in-case-insensitive-.patch
Patch0228: 0228-LDAP-do-not-invalidate-pointer-with-realloc-while-pr.patch
Patch0229: 0229-Allocate-PAM-DP-request-data-on-responder-context.patch
Patch0230: 0230-sudo-skip-rule-on-error-instead-of-failing-completel.patch
Patch0231: 0231-sudo-print-better-debug-message-when-a-rule-has-mult.patch
Patch0232: 0232-sss_packet_grow-correctly-pad-packet-length-to-512B.patch

# the "ca" translation did not validate in the upstream tarball
Patch0500: sssd-1.9.2-ca-manpage-fix.patch

### Dependencies ###

Requires: libldb%{?_isa} = %{ldb_version}
Requires: libtdb%{?_isa} >= 1.1.3
Requires: sssd-client%{?_isa} = %{version}-%{release}
Requires: libipa_hbac%{?_isa} = %{version}-%{release}
Requires: libsss_idmap%{?_isa} = %{version}-%{release}
Requires: cyrus-sasl-gssapi%{?_isa}
Requires: krb5-libs%{?_isa} >= 1.10
Requires: libdhash >= 0.4.2
Requires: libini_config >= 0.6.1
Requires: keyutils-libs
Requires: openldap >= 2.4.23-20
Conflicts: selinux-policy < 3.7.19-160
Requires(post): initscripts chkconfig /sbin/ldconfig
Requires(preun):  initscripts chkconfig
Requires(postun): initscripts chkconfig /sbin/ldconfig

%global servicename sssd
%global sssdstatedir %{_localstatedir}/lib/sss
%global dbpath %{sssdstatedir}/db
%global pipepath %{sssdstatedir}/pipes
%global pubconfpath %{sssdstatedir}/pubconf
%global mcachepath %{sssdstatedir}/mc

### Build Dependencies ###

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gettext-devel
BuildRequires: m4
%{?fedora:BuildRequires: popt-devel}
%if 0%{?rhel} <= 5
BuildRequires: popt
%endif
%if 0%{?rhel} >= 6
BuildRequires: popt-devel
%endif
BuildRequires: libtalloc-devel
BuildRequires: libtevent-devel
BuildRequires: libtdb-devel
BuildRequires: libldb-devel = %{ldb_version}
BuildRequires: libdhash-devel >= 0.4.2
BuildRequires: libcollection-devel
BuildRequires: libini_config-devel >= 0.6.1
BuildRequires: dbus-devel
BuildRequires: dbus-libs
BuildRequires: openldap-devel
BuildRequires: pam-devel
BuildRequires: nss-devel
BuildRequires: nspr-devel
BuildRequires: pcre-devel
BuildRequires: libxslt
BuildRequires: libxml2
BuildRequires: docbook-style-xsl
BuildRequires: krb5-devel >= 1.10
BuildRequires: c-ares-devel
BuildRequires: python-devel
BuildRequires: check-devel
BuildRequires: doxygen
BuildRequires: libselinux-devel
BuildRequires: libsemanage-devel
BuildRequires: bind-utils
BuildRequires: keyutils-libs-devel
BuildRequires: libnl-devel
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: glib2-devel
BuildRequires: diffstat
BuildRequires: findutils
BuildRequires: samba4-devel >= samba4-4.0.0-44
BuildRequires: selinux-policy-targeted >= 3.7.19-166

%description
Provides a set of daemons to manage access to remote directories and
authentication mechanisms. It provides an NSS and PAM interface toward
the system and a pluggable backend system to connect to multiple different
account sources. It is also the basis to provide client auditing and policy
services for projects like FreeIPA.

%package client
Summary: SSSD Client libraries for NSS and PAM
Group: Applications/System
License: LGPLv3+
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description client
Provides the libraries needed by the PAM and NSS stacks to connect to the SSSD
service.

%package tools
Summary: Userspace tools for use with the SSSD
Group: Applications/System
License: GPLv3+
Requires: sssd = %{version}-%{release}

%description tools
Provides userspace tools for manipulating users, groups, and nested groups in
SSSD when using id_provider = local in /etc/sssd/sssd.conf.

Also provides several other administrative tools:
    * sss_debuglevel to change the debug level on the fly
    * sss_seed which pre-creates a user entry for use in kickstarts
    * sss_obfuscate for generating an obfuscated LDAP password

%package -n libsss_idmap
Summary: FreeIPA Idmap library
Group: Development/Libraries
License: LGPLv3+
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n libsss_idmap
Utility library to convert SIDs to Unix uids and gids

%package -n libsss_idmap-devel
Summary: FreeIPA Idmap library
Group: Development/Libraries
License: LGPLv3+
Requires: libsss_idmap = %{version}-%{release}

%description -n libsss_idmap-devel
Utility library to SIDs to Unix uids and gids

%package -n libipa_hbac
Summary: FreeIPA HBAC Evaluator library
Group: Development/Libraries
License: LGPLv3+
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n libipa_hbac
Utility library to validate FreeIPA HBAC rules for authorization requests

%package -n libipa_hbac-devel
Summary: FreeIPA HBAC Evaluator library
Group: Development/Libraries
License: LGPLv3+
Requires: libipa_hbac = %{version}-%{release}

%description -n libipa_hbac-devel
Utility library to validate FreeIPA HBAC rules for authorization requests

%package -n libipa_hbac-python
Summary: Python bindings for the FreeIPA HBAC Evaluator library
Group: Development/Libraries
License: LGPLv3+
Requires: libipa_hbac = %{version}-%{release}

%description -n libipa_hbac-python
The libipa_hbac-python contains the bindings so that libipa_hbac can be
used by Python applications.

%package -n libsss_sudo
Summary: A library to allow communication between SUDO and SSSD
Group: Development/Libraries
License: LGPLv3+
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: sssd = %{version}-%{release}

%description -n libsss_sudo
A utility library to allow communication between SUDO and SSSD

%package -n libsss_sudo-devel
Summary: A library to allow communication between SUDO and SSSD
Group: Development/Libraries
License: LGPLv3+
Requires: libsss_sudo = %{version}-%{release}

%description -n libsss_sudo-devel
A utility library to allow communication between SUDO and SSSD

%package -n libsss_autofs
Summary: A library to allow communication between Autofs and SSSD
Group: Development/Libraries
License: LGPLv3+

%description -n libsss_autofs
A utility library to allow communication between Autofs and SSSD

%prep
# Update timestamps on the files touched by a patch, to avoid non-equal
# .pyc/.pyo files across the multilib peers within a build, where "Level"
# is the patch prefix option (e.g. -p1)
# Taken from specfile for python-simplejson
UpdateTimestamps() {
  Level=$1
  PatchFile=$2

  # Locate the affected files:
  for f in $(diffstat $Level -l $PatchFile); do
    # Set the files to have the same timestamp as that of the patch:
    touch -r $PatchFile $f
  done
}

%setup -q

for p in %patches ; do
    %__patch -p1 -i $p
    UpdateTimestamps -p1 $p
done

%build
autoreconf -ivf
%configure \
    --with-db-path=%{dbpath} \
    --with-pipe-path=%{pipepath} \
    --with-pubconf-path=%{pubconfpath} \
    --with-mcache-path=%{mcachepath} \
    --with-init-dir=%{_initrddir} \
    --with-krb5-rcache-dir=%{_localstatedir}/cache/krb5rcache \
    --enable-nsslibdir=/%{_lib} \
    --enable-pammoddir=/%{_lib}/security \
    --disable-static \
    --disable-rpath \
    --with-test-dir=/dev/shm

make %{?_smp_mflags} all docs

%check
export CK_TIMEOUT_MULTIPLIER=10
make %{?_smp_mflags} check
unset CK_TIMEOUT_MULTIPLIER

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Prepare language files
/usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT sssd

# Prepare empty config file
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sssd
touch $RPM_BUILD_ROOT/%{_sysconfdir}/sssd/sssd.conf

# Copy default logrotate file
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
install -m644 src/examples/logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/sssd

# Make sure SSSD is able to run on read-only root
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rwtab.d
install -m644 src/examples/rwtab $RPM_BUILD_ROOT%{_sysconfdir}/rwtab.d/sssd

# Remove .la files created by libtool
find $RPM_BUILD_ROOT -name "*.la" -exec rm -f {} \;

# Suppress developer-only documentation
rm -Rf ${RPM_BUILD_ROOT}/%{_docdir}/%{name}

# Older versions of rpmbuild can only handle one -f option
# So we need to append to the sssd.lang file
for file in `ls $RPM_BUILD_ROOT/%{python_sitelib}/*.egg-info 2> /dev/null`
do
    echo %{python_sitelib}/`basename $file` >> sssd.lang
done

touch sssd_tools.lang
touch sssd_client.lang
for man in `find $RPM_BUILD_ROOT/%{_mandir}/??/man?/ -type f | sed -e "s#$RPM_BUILD_ROOT/%{_mandir}/##"`
do
    lang=`echo $man | cut -c 1-2`
    case `basename $man` in
        sss_cache*)
            echo \%lang\(${lang}\) \%{_mandir}/${man}\* >> sssd.lang
            ;;
        sss_*)
            echo \%lang\(${lang}\) \%{_mandir}/${man}\* >> sssd_tools.lang
            ;;
        sssd_krb5_*)
            echo \%lang\(${lang}\) \%{_mandir}/${man}\* >> sssd_client.lang
            ;;
        pam_sss*)
            echo \%lang\(${lang}\) \%{_mandir}/${man}\* >> sssd_client.lang
            ;;
        sssd_krb5_locator_plugin*)
            echo \%lang\(${lang}\) \%{_mandir}/${man}\* >> sssd_client.lang
            ;;
        *)
            echo \%lang\(${lang}\) \%{_mandir}/${man}\* >> sssd.lang
            ;;
    esac
done

# Print these to the rpmbuild log
echo "sssd.lang:"
cat sssd.lang

echo "sssd_client.lang:"
cat sssd_client.lang

echo "sssd_tools.lang:"
cat sssd_tools.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f sssd.lang
%defattr(-,root,root,-)
%doc COPYING
%doc src/examples/sssd-example.conf
%{_initrddir}/%{name}
%{_sbindir}/sssd

%dir %{_libexecdir}/%{servicename}
%{_libexecdir}/%{servicename}/krb5_child
%{_libexecdir}/%{servicename}/ldap_child
%{_libexecdir}/%{servicename}/proxy_child
%{_libexecdir}/%{servicename}/sssd_be
%{_libexecdir}/%{servicename}/sssd_nss
%{_libexecdir}/%{servicename}/sssd_pam
%{_libexecdir}/%{servicename}/sssd_autofs
%{_libexecdir}/%{servicename}/sssd_ssh
%{_libexecdir}/%{servicename}/sssd_sudo
%{_libexecdir}/%{servicename}/sssd_pac

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libsss_ipa.so
%{_libdir}/%{name}/libsss_krb5.so
%{_libdir}/%{name}/libsss_ldap.so
%{_libdir}/%{name}/libsss_proxy.so
%{_libdir}/%{name}/libsss_simple.so
%{_libdir}/%{name}/libsss_ad.so

%{ldb_modulesdir}/memberof.so
%{_bindir}/sss_ssh_authorizedkeys
%{_bindir}/sss_ssh_knownhostsproxy
%{_sbindir}/sss_cache

%dir %{sssdstatedir}
%dir %{_localstatedir}/cache/krb5rcache
%attr(700,root,root) %dir %{dbpath}
%attr(755,root,root) %dir %{pipepath}
%attr(755,root,root) %dir %{pubconfpath}
%attr(755,root,root) %dir %{pubconfpath}/krb5.include.d
%attr(755,root,root) %dir %{mcachepath}
%ghost %attr(0644,root,root) %verify(not md5 size mtime) %{mcachepath}/passwd
%ghost %attr(0644,root,root) %verify(not md5 size mtime) %{mcachepath}/group
%attr(700,root,root) %dir %{pipepath}/private
%attr(750,root,root) %dir %{_var}/log/%{name}
%attr(700,root,root) %dir %{_sysconfdir}/sssd
%ghost %attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sssd/sssd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/sssd
%config(noreplace) %{_sysconfdir}/rwtab.d/sssd
%dir %{_datadir}/sssd
%{_datadir}/sssd/sssd.api.conf
%{_datadir}/sssd/sssd.api.d
%{_mandir}/man1/sss_ssh_authorizedkeys.1*
%{_mandir}/man1/sss_ssh_knownhostsproxy.1*
%{_mandir}/man5/sssd.conf.5*
%{_mandir}/man5/sssd-ipa.5*
%{_mandir}/man5/sssd-krb5.5*
%{_mandir}/man5/sssd-ldap.5*
%{_mandir}/man5/sssd-simple.5*
%{_mandir}/man5/sssd-ad.5*
%{_mandir}/man5/sssd-sudo.5*
%{_mandir}/man8/sssd.8*
%{_mandir}/man8/sss_cache.8*
%{python_sitearch}/pysss.so
%{python_sitearch}/pysss_murmur.so
%dir %{python_sitelib}/SSSDConfig
%{python_sitelib}/SSSDConfig/*.py*

%files client -f sssd_client.lang
%defattr(-,root,root,-)
%doc src/sss_client/COPYING src/sss_client/COPYING.LESSER
/%{_lib}/libnss_sss.so.2
/%{_lib}/security/pam_sss.so
%{_libdir}/krb5/plugins/libkrb5/sssd_krb5_locator_plugin.so
%{_libdir}/krb5/plugins/authdata/sssd_pac_plugin.so
%{_mandir}/man8/pam_sss.8*
%{_mandir}/man8/sssd_krb5_locator_plugin.8*

%files tools -f sssd_tools.lang
%defattr(-,root,root,-)
%doc COPYING
%{_sbindir}/sss_useradd
%{_sbindir}/sss_userdel
%{_sbindir}/sss_usermod
%{_sbindir}/sss_groupadd
%{_sbindir}/sss_groupdel
%{_sbindir}/sss_groupmod
%{_sbindir}/sss_groupshow
%{_sbindir}/sss_obfuscate
%{_sbindir}/sss_debuglevel
%{_sbindir}/sss_seed
%{_mandir}/man8/sss_groupadd.8*
%{_mandir}/man8/sss_groupdel.8*
%{_mandir}/man8/sss_groupmod.8*
%{_mandir}/man8/sss_groupshow.8*
%{_mandir}/man8/sss_useradd.8*
%{_mandir}/man8/sss_userdel.8*
%{_mandir}/man8/sss_usermod.8*
%{_mandir}/man8/sss_obfuscate.8*
%{_mandir}/man8/sss_debuglevel.8*
%{_mandir}/man8/sss_seed.8*

%files -n libsss_idmap
%defattr(-,root,root,-)
%doc src/sss_client/COPYING src/sss_client/COPYING.LESSER
%{_libdir}/libsss_idmap.so.*

%files -n libsss_idmap-devel
%defattr(-,root,root,-)
%doc idmap_doc/html
%{_includedir}/sss_idmap.h
%{_libdir}/libsss_idmap.so
%{_libdir}/pkgconfig/sss_idmap.pc

%files -n libipa_hbac
%defattr(-,root,root,-)
%doc src/sss_client/COPYING src/sss_client/COPYING.LESSER
%{_libdir}/libipa_hbac.so.*

%files -n libipa_hbac-devel
%defattr(-,root,root,-)
%doc hbac_doc/html
%{_includedir}/ipa_hbac.h
%{_libdir}/libipa_hbac.so
%{_libdir}/pkgconfig/ipa_hbac.pc

%files -n libipa_hbac-python
%defattr(-,root,root,-)
%{python_sitearch}/pyhbac.so

%files -n libsss_sudo
%defattr(-,root,root,-)
%doc src/sss_client/COPYING src/sss_client/COPYING.LESSER
%{_libdir}/libsss_sudo.so*

%files -n libsss_sudo-devel
%defattr(-,root,root,-)
%doc libsss_sudo_doc/html
%{_includedir}/sss_sudo.h

%files -n libsss_autofs
%defattr(-,root,root,-)
%doc src/sss_client/COPYING src/sss_client/COPYING.LESSER
%{_libdir}/sssd/modules/libsss_autofs.so*

%post
/sbin/ldconfig
/sbin/chkconfig --add %{servicename}

# sssd-1.8.0-24 changed the startup order
# We need to make sure this is always updated on
# clients
/sbin/chkconfig %{servicename} resetpriorities

if [ $1 -ge 1 ] ; then
    /sbin/service %{servicename} condrestart 2>&1 > /dev/null
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service %{servicename} stop 2>&1 > /dev/null
    /sbin/chkconfig --del %{servicename}
fi

%post client -p /sbin/ldconfig

%postun client -p /sbin/ldconfig

%post -n libipa_hbac -p /sbin/ldconfig

%postun -n libipa_hbac -p /sbin/ldconfig

%post -n libsss_idmap -p /sbin/ldconfig

%postun -n libsss_idmap -p /sbin/ldconfig

%post -n libsss_sudo -p /sbin/ldconfig

%postun -n libsss_sudo -p /sbin/ldconfig

%changelog
* Thu Aug 08 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-82.10
- Resolves: #1003567 - large number of sudo rules results in error -
                       Unable to create response: Invalid argument

* Thu Aug 08 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-82.9
- Resolves: #996020 - sssd fails instead of skipping when a sudo ldap
                      filter returns entries with multiple CNs

* Mon Jul 22 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-82.8
- Resolves: #986824 - sssd_pam segfaults if sssd_be is stuck

* Tue Apr 23 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-82.7
- Resolves: #906398 - sssd_be crashes sometimes

* Mon Apr 15 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-82.6
- Resolves: #950874: Simple access control always denies uppercased users
                     in case insensitive domain

* Tue Mar 20 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-82.5
- Resolves: #948263: Resolve local group members in LDAP groups
        
* Tue Mar 05 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-82.4
- Resolves: rhbz#911298 - sssd: simple access provider flaw prevents intended
                           ACL use when client to an AD provider

* Fri Mar 01 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-82.3
- Fix pwd_expiration_warning=0
- Resolves: rhbz#914671 - pwd_expiration_warning has wrong default for
                          Kerberos

* Fri Feb 22 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-82.2
- Resolves: rhbz#914671 - pwd_expiration_warning has wrong default for
                          Kerberos
- Fix the NVR

* Wed Jan 30 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-82.1
- Resolves: rhbz#907362 - Serious performance regression in sssd

* Wed Jan 23 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-82
- Resolves: rhbz#888614 - Failure in memberof can lead to failed
                          database update

* Wed Jan 23 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-81
- Resolves: rhbz#903078 - TOCTOU race conditions by copying
                          and removing directory trees

* Wed Jan 23 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-80
- Resolves: rhbz#903078 - Out-of-bounds read flaws in
                          autofs and ssh services responders

* Tue Jan 22 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-79
- Resolves: rhbz#902716 - Rule mismatch isn't noticed before smart refresh
                          on ppc64 and s390x

* Tue Jan 22 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-78
- Resolves: rhbz#896476 - SSSD should warn when pam_pwd_expiration_warning
                          value is higher than passwordWarning LDAP attribute.

* Tue Jan 22 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-77
- Resolves: rhbz#902436 - possible segfault when backend callback is removed

* Mon Jan 21 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-76
- Resolves: rhbz#895132 - Modifications using sss_usermod tool are not
                          reflected in memory cache

* Wed Jan 16 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-75
- Resolves: rhbz#894302 - sssd fails to update to changes on autofs maps

* Wed Jan 16 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-74
- Resolves: rhbz894381 - memory cache is not updated after user is deleted
                         from ldb cache

* Wed Jan 16 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-73
- Resolves: rhbz895615 - ipa-client-automount: autofs failed in s390x and
                         ppc64 platform

* Tue Jan 15 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-72
- Resolves: rhbz#894997 - sssd_be crashes looking up members with groups
                          outside the nesting limit

* Tue Jan 15 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-71
- Resolves: rhbz#895132 - Modifications using sss_usermod tool are not
                          reflected in memory cache

* Tue Jan 15 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-70
- Resolves: rhbz#894428 - wrong filter for autofs maps in sss_cache

* Tue Jan 15 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-69
- Resolves: rhbz#894738 - Failover to ldap_chpass_backup_uri doesn't work

* Wed Jan 09 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-68
- Resolves: rhbz#887961 - AD provider: getgrgid removes nested group
                          memberships

* Mon Jan 07 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-67
- Resolves: rhbz#878583 - IPA Trust does not show secondary groups for AD
                          Users for commands like id and getent

* Mon Jan 07 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-66
- Resolves: rhbz#874579 - sssd caching not working as expected for selinux
                          usermap contexts

* Mon Jan 07 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-65
- Resolves: rhbz#892197 - Incorrect principal searched for in keytab

* Mon Jan 07 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-64
- Resolves: rhbz#891356 - Smart refresh doesn't notice "defaults" addition
                          with OpenLDAP

* Fri Jan 04 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-63
- Resolves: rhbz#878419 - sss_userdel doesn't remove entries from in-memory
                          cache

* Fri Jan 04 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-62
- Resolves: rhbz#886848 - user id lookup fails for case sensitive users
                          using proxy provider

* Fri Jan 04 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-61
- Resolves: rhbz#890520 - Failover to krb5_backup_kpasswd doesn't work

* Fri Jan 04 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-60
- Resolves: rhbz#874618 - sss_cache: fqdn not accepted

* Thu Dec 20 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-59
- Resolves: rhbz#889182 - crash in memory cache

* Thu Dec 20 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-58
- Resolves: rhbz#889168 - krb5 ticket renewal does not read the renewable
                          tickets from cache

* Thu Dec 20 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-57
- Resolves: rhbz#886091 - Disallow root SSH public key authentication
- Add default section to switch statement (Related: rhbz#884666)

* Thu Dec 20 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-56
- Resolves: rhbz#886038 - sssd components seem to mishandle sighup

* Thu Dec 20 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-55
- Resolves: rhbz#888800 - Memory leak in new memcache initgr cleanup function

* Thu Dec 20 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-54
- Resolves: rhbz#888614 - Failure in memberof can lead to failed database
                          update

* Thu Dec 20 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-53
- Resolves: rhbz#885078 - sssd_nss crashes during enumeration if the
                          enumeration is taking too long

* Tue Dec 17 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-52
- Related: rhbz#875851 - sysdb upgrade failed converting db to 0.11
- Include more debugging during the sysdb upgrade

* Tue Dec 17 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-51
- Resolves: rhbz#877972 - ldap_sasl_authid no longer accepts full principal

* Tue Dec 17 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-50
- Resolves: rhbz#870045 - always reread the master map from LDAP
- Resolves: rhbz#876531 - sss_cache does not work for automount maps

* Tue Dec 17 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-49
- Resolves: rhbz#884666 - sudo: if first full refresh fails, schedule
                          another first full refresh

* Tue Dec 17 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-48
- Resolves: rhbz#880956 - Primary server status is not always reset after
                          failover to backup server happened
- Silence a compilation warning in the memberof plugin (Related: rhbz#877974)
- Do not steal resolv result on error (Related: rhbz#882076)

* Mon Dec 17 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-47
- Resolves: rhbz#882923 - Negative cache timeout is not working for proxy
                          provider

* Sat Dec 15 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-46
- Resolves: rhbz#884600 - ldap_chpass_uri failover fails on using same
                          hostname

* Fri Dec 14 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-45
- Resolves: rhbz#858345 - pam_sss(crond:account): Request to sssd
                          failed. Timer expired

* Fri Dec 14 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-44
- Resolves: rhbz#878419 - sss_userdel doesn't remove entries from in-memory
                          cache

* Fri Dec 14 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-43
- Resolves: rhbz#880176 - memberUid required for primary groups to match
                          sudo rule

* Fri Dec 14 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-42
- Resolves: rhbz#885105 - sudo denies access with disabled
                          ldap_sudo_use_host_filter

* Tue Dec 11 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-41
- Resolves: rhbz#883408 - Option ldap_sudo_include_regexp named incorrectly

* Tue Dec 11 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-40
- Resolves: rhbz#880546 - krb5_kpasswd failover doesn't work
- Fix the error handler in sss_mc_create_file (Related: #789507)

* Tue Dec 11 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-39
- Resolves: rhbz#882221 - Offline sudo denies access with expired
                          entry_cache_timeout
- Fix several bugs found by Coverity and clang:
- Check the return value of diff_gid_lists (Related: #869071)
- Move misplaced sysdb assignment (Related: #827606)
- Remove dead assignment (Related: #827606)
- Fix copy-n-paste error in the memberof plugin (Related: #877974)

* Tue Dec 11 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-38
- Resolves: rhbz#882923 - Negative cache timeout is not working for proxy
                          provider
- Link sss_ssh_authorizedkeys and sss_ssh_knowhostsproxy with the client
  libraries (Related: #870060)
- Move sss_ssh_knownhosts documentation to the correct section
  (Related: #870060)

* Fri Dec 07 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-37
- Resolves: rhbz#884480 - user is not removed from group membership during
                          initgroups
- Fix incorrect synchronization in mmap cache (Related: #789507)

* Fri Dec 07 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-36
- Resolves: rhbz#883336 - sssd crashes during start if id_provider is
                          not mentioned

* Fri Dec 07 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-35
- Resolves: rhbz#882290 - arithmetic bug in the SSSD causes netgroup
                          midpoint refresh to be always set to 10 seconds

* Thu Dec 06 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-34
- Resolves: rhbz#877974 - updating top-level group does not reflect ghost
                          members correctly
- Resolves: rhbz#880159 - delete operation is not implemented for ghost users

* Thu Dec 06 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-33
- Resolves: rhbz#881773 - mmap cache needs update after db changes

* Thu Dec 06 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-32
- Resolves: rhbz#875677 - password expiry warning message doesn't appear
                          during auth
- Fix potential NULL dereference when skipping built-in AD groups
  (Related: rhbz#874616)
- Add missing parameter to DEBUG message (Related: rhbz#829742)

* Thu Dec 06 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-31
- Resolves: rhbz#882076 - SSSD crashes when c-ares returns success but an
                          empty hostent during the DNS update
- Do not version libsss_sudo, it's not supposed to be linked against, but
  dlopened (Related: rhbz#761573)

* Wed Nov 28 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-30
- Resolves: rhbz#880140 - sssd hangs at startup with broken configurations

* Wed Nov 28 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-29
- Resolves: rhbz#878420 - SIGSEGV in IPA provider when ldap_sasl_authid is not set

* Wed Nov 28 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-28
- Resolves: rhbz#874616 - Silence the DEBUG messages when ID mapping code
                          skips a built-in group

* Tue Nov 27 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-27
- Resolves: rhbz#824244 - sssd does not warn into sssd.log for broken
                          configurations

* Tue Nov 27 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-26
- Resolves: rhbz#874673 - user id lookup fails using proxy provider
- Fix a possibly uninitialized variable in the LDAP provider
- Related: rhbz#877130

* Wed Nov 21 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-25
- Resolves: rhbz#878262 - ipa password auth failing for user principal
                          name when shorter than IPA Realm name
- Resolves: rhbz#871843 - Nested groups are not retrieved appropriately
                          from cache

* Tue Nov 20 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-24
- Resolves: rhbz#870238 - IPA client cannot change AD Trusted User password

* Tue Nov 20 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-23
- Resolves: rhbz#877972 - ldap_sasl_authid no longer accepts full principal

* Tue Nov 20 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-22
- Resolves: rhbz#861075 - SSSD_NSS failure to gracefully restart
                          after sbus failure

* Mon Nov 19 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-21
- Resolves: rhbz#877354 - ldap_connection_expire_timeout doesn't expire
                          ldap connections

* Mon Nov 19 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-20
- Related: rhbz#877126 - Bump the release tag

* Mon Nov 19 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-20
- Resolves: rhbz#877126 - subdomains code does not save the proper
                          user/group name

* Mon Nov 19 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-19
- Resolves: rhbz#877130 - LDAP provider fails to save empty groups
- Related: rhbz#869466 - check the return value of waitpid()

* Mon Nov 19 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-18
- Resolves: rhbz#870039 - sss_cache says 'Wrong DB version'

* Mon Nov 19 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-17
- Resolves: rhbz#875740 - "defaults" entry ignored

* Mon Nov 19 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-16
- Resolves: rhbz#875738 - offline authentication failure always returns
                          System Error

* Sun Nov 18 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-15
- Resolves: rhbz#875851 - sysdb upgrade failed converting db to 0.11

* Thu Nov 15 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-14
- Resolves: rhbz#870278 -  ipa client setup should configure host properly
                           in a trust is in place

* Wed Nov 14 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-13
- Resolves: rhbz#871160 - sudo failing for ad trusted user in IPA environment

* Sun Nov 11 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-12
- Resolves: rhbz#870278 -  ipa client setup should configure host properly
                           in a trust is in place

* Sun Nov 11 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-11
- Resolves: rhbz#869678 - sssd not granting access for AD trusted user in HBAC rule

* Sun Nov 11 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-10
- Resolves: rhbz#872180 - subdomains: Invalid sub-domain request type
- Related: rhbz#867933 - invalidating the memcache with sss_cache doesn't work
                         if the sssd is not running

* Sun Nov 11 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-9
- Resolves: rhbz#873988 - Man page issue to list 'force_timeout' as an
                          option for the [sssd] section

* Sun Nov 11 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-8
- Resolves: rhbz#873032 - Move sss_cache to the main subpackage

* Tue Nov 06 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-7
- Resolves: rhbz#873032 - Move sss_cache to the main subpackage
- Resolves: rhbz#829740 - Init script reports complete before sssd is actually
                          working
- Resolves: rhbz#869466 - SSSD starts multiple processes due to syntax error in
                          ldap_uri
- Resolves: rhbz#870505 - sss_cache: Multiple domains not handled properly
- Resolves: rhbz#867933 - invalidating the memcache with sss_cache doesn't work
                          if the sssd is not running
- Resolves: rhbz#872110 - User appears twice on looking up a nested group

* Sun Nov 04 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-6
- Resolves: rhbz#871576 - sssd does not resolve group names from AD
- Resolves: rhbz#872324 - pam: fd leak when writing the selinux login file
                          in the pam responder
- Resolves: rhbz#871424 - authconfig chokes on sssd.conf with chpass_provider
                          directive

* Fri Nov 02 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-5
- Do not send SIGKILL to service right after sending SIGTERM
- Resolves: #771975
- Fix the initial sudo smart refresh
- Resolves: #869013
- Implement password authentication for users from trusted domains
- Resolves: #869071
- LDAP child crashed with a wrong keytab
- Resolves: #869150
- The sssd_nss process grows the memory consumption over time
- Resolves: #869443

* Mon Oct 15 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-4
- BuildRequire selinux-policy so that selinux login support is built in
- Resolves: #867932

* Mon Oct 15 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-3
- Do not segfault if namingContexts contain no values or multiple values
- Resolves: rhbz#866542

* Mon Oct 15 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-2
- Fix the "ca" translation of the sssd-simple manual page
- Related: rhbz#827606 - Rebase SSSD to 1.9 in 6.4

* Sun Oct 14 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.2-1
- New upstream release 1.9.2

* Sun Oct 07 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.1-1
- Rebase to 1.9.1

* Wed Oct 03 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.0-3
- Require the latest libldb

* Tue Sep 25 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.0-2
- Rebase to 1.9.0
- Resolves: rhbz#827606 - Rebase SSSD to 1.9 in 6.4

* Mon Sep 24 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.9.0-1.rc1
- Rebase to 1.9.0 RC1
- Resolves: rhbz#827606 - Rebase SSSD to 1.9 in 6.4
- Bump the selinux-policy version number to pull in required fixes

* Thu Aug 09 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.8.0-33
- Resolves: rhbz#840089 - Update the shadowLastChange attribute
                          with days since the Epoch, not seconds

* Tue May 29 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-32
- Fix protocol break for services map
- Related:  rhbz#825028 - Service lookups by port number doesn't work on
                          s390x/ppc64 arches

* Thu May 24 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-31
- Resolves: rhbz#825028 - Service lookups by port number doesn't work on
                          s390x/ppc64 arches

* Thu May 24 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-30
- Resolves: rhbz#824616 - sssd_nss crashes when configured with
                          use_fully_qualified_names = true

* Tue May 22 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-29
- Resolves: rhbz#824062 - sssd_be crashed with SIGSEGV in
                          _tevent_schedule_immediate()

* Wed May 16 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-28
- Resolves: rhbz#822236 - SSSD netgroups do not honor
                          entry_cache_nowait_percentage

* Fri May 11 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-27
- Resolves: rhbz#820759 - AVC denial seen on sssd upgrade during ipa-client
                          upgrade
- Resolves: rhbz#821044 - sss_groupadd no longer detects duplicate GID numbers

* Thu May 10 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-26
- Resolves: rhbz#818642 - Auth fails for user with non-default attribute names
- Resolves: rhbz#819063 - sssd fails to provide partial data till paged search
                          returns "Size Limit Exceeded"
- Resolves: rhbz#820585 - Group enumeration fails in proxy provider

* Mon Apr 30 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-25
- Resolves: rhbz#816616 - group members are now lowercased in case insensitive
                          domains

* Wed Apr 25 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-24
- Resolves: rhbz#805431 - NFS files/folders are mapped to nobody user if NFS
                          top level directory is chowned by a SSSD user

* Fri Apr 20 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-23
- Resolves: rhbz#805924 - SSSD should attempt to get the RootDSE after binding
- Resolves: rhbz#814237 - sdap_check_aliases must not error when detects the
                          same user
- Resolves: rhbz#812281 - autofs client: map name length used as key length
- Related:  rhbz#784870 - SSSD fails during autodetection of search bases for
                          new LDAP features
- Related:  rhbz#814269 - sssd-1.5.1-66.el6_2.3.x86_64 freezes

* Mon Apr 09 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-22
- Fix typo in patch for SSH umask
- Related:  rhbz#808107 - Coverity revealed memory management defects

* Mon Apr 09 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-21
- Resolves: rhbz#808458 - Authconfig crashes when sets krb realm
- Resolves: rhbz#808597 - sssd_nss crashes on request when no back end is
                          running
- Resolves: rhbz#808107 - Coverity revealed memory management defects

* Fri Mar 30 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-20
- Related: rhbz#805452  - Unable to lookup user, group, netgroup aliases with
                          case_sensitive=false

* Fri Mar 30 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-18
- Resolves: rhbz#804057 - Initial service lookups having name with uppercase
                          alphabets doesn't work
- Resolves: rhbz#804065 - Service lookup using case-sensitive protocol names
                          doesn't work when case_sensitive=false
- Resolves: rhbz#805281 - sssd: Uses the wrong key when there a multiple
                          realms in a single keytab
- Resolves: rhbz#805452 - Unable to lookup user, group, netgroup aliases with
                          case_sensitive=false
- Resolves: rhbz#805918 - Wrong resolv_status might cause crash when name
                          resolution times out
- Resolves: rhbz#805431 - NFS files/folders are mapped to nobody user if NFS
                          top level directory is chowned by a SSSD user

* Fri Mar 16 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-17
- Related:  rhbz#802207 - getent netgroup hangs when
                          "use_fully_qualified_names = TRUE" in sssd
- Resolves: rhbz#801719 - "Error looking up public keys" while ssh to replica
                          using IP address
- Resolves: rhbz#803659 - Service lookup shows case sensitive names twice with
                          case_sensitive=false
- Resolves: rhbz#803842 - Unable to bind to LDAP server when minssf set
- Resolves: rhbz#805034 - accessing an undefined variable might cause crash
- Resolves: rhbz#805108 - sss_ssh_knownhostproxy infinite loop hangs SSH login

* Mon Mar 12 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-15
- Update translations
- Resolves: rhbz#802372 - Pick up latest translation files for SSSD
- Resolves: rhbz#802207 - getent netgroup hangs when
                          "use_fully_qualified_names = TRUE" in sssd
- Related:  rhbz#801451 - Logging in with ssh pub key should consult
                          authentication authority policies

* Fri Mar 09 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-12
- Resolves: rhbz#801407 - sssd_nss gets hung processing identical search
                          requests
- Resolves: rhbz#801451 - Logging in with ssh pub key should consult
                          authentication authority policies
- Resolves: rhbz#795562 - Infinite loop checking Kerberos credentials
- Resolves: rhbz#798317 - sssd crashes when ipa_hbac_support_srchost is set to
                          true
- Resolves: rhbz#799039 - --debug option for sss_debuglevel doesn't work
- Resolves: rhbz#799915 - Unable to lookup netgroups with case_sensitive=false
- Resolves: rhbz#799929 - Raise limits for max num of files sssd_nss/sssd_pam
                          can use
- Resolves: rhbz#799971 - sssd_be crashes on shutdown
- Resolves: rhbz#801533 - sssd_be crashes when resolving non-trivial nested
                          group structure
- Resolves: rhbz#801368 - Group lookups doesn't return members with proxy
                          provider configured
- Resolves: rhbz#801377 - getent returns non-existing netgroup name, when sssd
                          is configured as proxy provider

* Thu Mar 01 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-11
- Do not auto-upgrade debug levels
- Tool still available for manual use
- Reverts:  rhbz#753763 - Provide logging configuration compatibility on
                          SSSD 1.5/1.6 upgrade
- Resolves: rhbz#798881 - Install-time warnings
- Resolves: rhbz#798774 - IPA provider should assume that ipa_domain is also
                          the dns_discovery_domain
- Resolves: rhbz#798655 - Password logins failing due to a process with high
                          UID

* Wed Feb 29 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-10
- Fix explicit requires to use openldap instead of openldap-libs
- Related:  rhbz#797282 - sssd-1.5.1-66.el6.x86_64 needs
                          openldap >= openldap-2.4.23-20.el6.x86_64

* Tue Feb 28 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-9
- Fix multilib-clean issue due to upgrade script
- Remove old copy from the spec file
- Related:  rhbz#753763 - Provide logging configuration compatibility on
                          SSSD 1.5/1.6 upgrade

* Tue Feb 28 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-8
- Fix multilib-clean issue due to upgrade script
- Fix typo in the patch
- Related:  rhbz#753763 - Provide logging configuration compatibility on
                          SSSD 1.5/1.6 upgrade

* Tue Feb 28 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-7
- Fix multilib-clean issue due to upgrade script
- Use a patch and install the script to python_sitelib
- Related:  rhbz#753763 - Provide logging configuration compatibility on
                          SSSD 1.5/1.6 upgrade

* Tue Feb 28 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-6
- Fix multilib-clean issue due to upgrade script
- Related:  rhbz#753763 - Provide logging configuration compatibility on
                          SSSD 1.5/1.6 upgrade

* Tue Feb 28 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-5
- Resolves: rhbz#753763 - Provide logging configuration compatibility on
                          SSSD 1.5/1.6 upgrade
- Resolves: rhbz#785871 - wrong build dependency on nscd
- Resolves: rhbz#785873 - IPA host search base cannot be set
- Resolves: rhbz#791208 - Entries lacking a POSIX username value break group
                          lookups
- Resolves: rhbz#796307 - Simple Paged Search control needs to be used more
                          sparingly
- Resolves: rhbz#797282 - sssd-1.5.1-66.el6.x86_64 needs
                          openldap >= openldap-2.4.23-20.el6.x86_64
- Resolves: rhbz#787035 - ipa - sssd slow response with thousands of user
                          entries
- Resolves: rhbz#742509 - [RFE] Add SSSD Tool to purge cache
- Resolves: rhbz#772297 - Fails to update if all nisNetgroupTriple or
                          memberNisNetgroup entries are deleted from a
                          netgroup
- Resolves: rhbz#783138 - Backend occasionally goes offline under heavy load
- Resolves: rhbz#797975 - sssd_be: The requested target is not configured is
                          logged at each login
- Resolves: rhbz#735422 - Rebase SSSD to 1.8.0 in RHEL 6.3

* Wed Feb 15 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-4.beta3
- Resolves: rhbz#761570 - [RFE] support looking up autofs maps via SSSD
- Resolves: rhbz#788979 - sssd crashes during initgroups against a user
                          belonging to nested rfc2307bis group

* Fri Feb 10 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-3.beta2
- Handle filtering python Provides in a safer way
- Related:  rhbz#735422 - Rebase SSSD to 1.8.0 in RHEL 6.3

* Tue Feb 07 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.8.0-2.beta2
- Related:  rhbz#735422 - Rebase SSSD to 1.8.0 in RHEL 6.3
- Resolves: rhbz#786553 - sssd on ppc64 doesn't pull cyrus-sasl-gssapi.ppc as
                          a dependancy
- Resolves: rhbz#785909 - --debug-timestamps=1 is not passed to providers
- Resolves: rhbz#785908 - ldap_*_search_base doesn't fully limit the group and
                          netgroup search base correctly
- Resolves: rhbz#785907 - [RFE] Add support to request canonicalization on krb
                          AS requests
- Resolves: rhbz#785905 - [RFE] DEBUG timestamps should offer higher precision
- Resolves: rhbz#785904 - [RFE] SSSD should have --version option
- Resolves: rhbz#785902 - Errors with empty loginShell and proxy provider
- Resolves: rhbz#785898 - Enable midway cache refresh by default
- Resolves: rhbz#785888 - sssd returns empty netgroup at a second request for
                          a non-existing netgroup
- Resolves: rhbz#785884 - Honour TTL when resolving host names
- Resolves: rhbz#785883 - check DNS records before updates
- Resolves: rhbz#785881 - List the keytab to pick the princiapl to use instead
                          of guessing
- Resolves: rhbz#785880 - debug_level in sssd.conf overrides command-line
- Resolves: rhbz#785879 - sss_obfuscate/python config parser modifies config
                          file too much
- Resolves: rhbz#785877 - on reconnect we need to detect that a ipa/ds server
                          has been reinitialized
- Resolves: rhbz#785741 - sssd.api.conf and sssd.api.d should not be in /etc
- Resolves: rhbz#773660 - Kerberos errors should go to syslog
- Resolves: rhbz#772163 - Iterator loop reuse cases a tight loop in the native
                          IPA netgroups code
- Resolves: rhbz#771706 - sssd_be crashes during auth when there exists UTF
                          source host group in an hbacrule
- Resolves: rhbz#771702 - sssd_pam crashes during change password operation
                          against a IPA server
- Resolves: rhbz#771361 - case_sensitive function not working as intended for
                          ldap
- Resolves: rhbz#768935 - Crash when applying settings
- Resolves: rhbz#766941 - The full dyndns update message should be logged into
                          debug logs
- Resolves: rhbz#766930 - [RFE] Add a new option to override home directory
                          value
- Resolves: rhbz#766913 - [RFE] Add option to select validate and FAST keytab
                          principal name
- Resolves: rhbz#766907 - Use [...] for IPv6 addresses in kdc info files
- Resolves: rhbz#766904 - [RFE] Create a command line tool to change the debug
                          levels on the fly
- Resolves: rhbz#766876 - [RFE] Make HBAC srchost processing optional
- Resolves: rhbz#766141 - [RFE] SSSD should support FreeIPA's internal
                          netgroup representation
- Resolves: rhbz#761582 - [RFE] Add ldap_sasl_minssf option
- Resolves: rhbz#759186 - [abrt] sssd-1.6.3-1.fc16: ping_check: Process
                          /usr/sbin/sssd was killed by signal 11 (SIGSEGV)
- Resolves: rhbz#755506 - [RFE] Add host-based (pam_host_attr) access control
- Resolves: rhbz#753876 - [RFE] Add support for the services map
- Resolves: rhbz#746181 - "getgrgid call returned more than one result" after
                          group name change in MSAD
- Resolves: rhbz#744197 - [RFE] close LDAP connection to the server when idle
                          for some (configurable) time
- Resolves: rhbz#742510 - [RFE] Separate Cache Timeouts for SSSD
- Related:  rhbz#742509 - [RFE] Add SSSD Tool to purge cache
- Resolves: rhbz#742052 - id -G group resolution takes extremely long
- Resolves: rhbz#739312 - [RFE] sssd does not set shadowLastChange
- Resolves: rhbz#736150 - [RFE] SSSD should support multiple search bases
- Resolves: rhbz#735827 - [RFE] Ability to set a domain as case sensitive or
                          insensitive
- Resolves: rhbz#735405 - [RFE] Option to disable warnings for unknown users
- Resolves: rhbz#728212 - [RFE] sssd does not handle when paging control
                          disabled for openldap
- Resolves: rhbz#726467 - SSSD takes 30+ seconds to login
- Resolves: rhbz#721289 - Process /usr/libexec/sssd/sssd_be was killed by
                          signal 11 during auth when password for the user is
                          not set

* Tue Jan 17 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-68
- Resolves: rhbz#773655 - Race-condition bug in LDAP auth provider

* Tue Nov 29 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-67
- Resolves: rhbz#753842 - sssd_nss crashes when passed invalid UTF-8 for the
                          username in getpwnam()
- Resolves: rhbz#758157 - LDAP failover not working if server refuses
                          connections

* Mon Oct 31 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-66
- Related:  rhbz#750359 - Major cached entry performance regression

* Mon Oct 31 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-65
- Resolves: rhbz#750359 - Major cached entry performance regression

* Mon Oct 31 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-64
- Resolves: rhbz#749822 - SSSD may go into infinite loop during RFC2307bis
                          initgroups when groups appear in multiple nesting
                          levels

* Wed Oct 26 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-63
- Resolves: rhbz#749256 - SELinux errors with SSSD Downgrade

* Tue Oct 25 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-62
- Resolves: rhbz#748924 - RHEL6.1/sssd_pam segmentation fault

* Tue Oct 25 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-61
- Resolves: rhbz#748412 - Memory leaks during the initgroups() operation

* Tue Oct 18 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-60
- Related:  rhbz#743841 - SSSD can crash due to dbus server removing a UNIX
                          socket

* Mon Oct 17 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-59
- Resolves: rhbz#742288 - RFC2307bis initgroups calls are slow
- Resolves: rhbz#746654 - SSSD backend gets killed on slow systems
- Related:  rhbz#743925 - HBAC processing is very slow when dealing with
                          FreeIPA deployments with large numbers of hosts
                          Fixes a crash introduced by the earlier patch.
- Related:  rhbz#733382 - SSSD should pick a user/group name when there are
                          multi-valued names
                          Fixes for internationalization

* Fri Oct 14 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-58
- Related:  rhbz#742278 - Rework the example config

* Fri Oct 14 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-57
- Resolves: rhbz#743925 - HBAC processing is very slow when dealing with
                          FreeIPA deployments with large numbers of hosts
- Resolves: rhbz#745966 - sssd_pam segfaults on sssd restart
- Related:  rhbz#743841 - SSSD can crash due to dbus server removing a UNIX
                          socket

* Thu Oct 13 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-56
- Resolves: rhbz#742278 - Rework the example config
- Resolves: rhbz#746037 - Only access sssd_nss internal hash table if it was
                          initialized
- Resolves: rhbz#742526 - SSSD's man pages are missing information
- Resolves: rhbz#743841 - SSSD can crash due to dbus server removing a UNIX
                          socket

* Thu Oct 06 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-55
- Resolves: rhbz#738621 - Lookup fails for non-primary usernames with
                          multi-valued uid
- Resolves: rhbz#738629 - Group lookups doesn't return it's member for
                          sometime when the member has multi-valued uid
- Resolves: rhbz#742295 - Use an explicit base 10 when converting uidNumber
                          to integer
- Resolves: rhbz#733382 - SSSD should pick a user/group name when there are
                          multi-valued names

* Fri Sep 30 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-53
- Resolves: rhbz#741751 - HBAC rule evaluation does not properly handle host
                          groups
- Resolves: rhbz#740501 - SSSD not functional after "self" reboot
- Resolves: rhbz#742539 - HBAC: Hostname comparisons should be
                          case-insensitive

* Tue Sep 20 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-52
- Resolves: rhbz#728343 - SSSD taking 5 minutes to log in
- Resolves: rhbz#739850 - Coverity defects newly introduced in rhel 6.2

* Mon Sep 12 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-51
- Resolves: rhbz#737157 - "System error" appears in log during change password
                          operation of a user in openldap server with ppolicy
                          enabled
- Resolves: rhbz#737172 - "Unknown (private extension) error(21853), (null)"
                          messages are logged during change password operation
                          of a user in openldap server with ppolicy enabled

* Wed Sep 07 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-50
- Resolves: rhbz#736314 - sssd crashes during auth while there exists multiple
                          external hosts along with managed host
- Resolves: rhbz#732974 - [RFE] Have SSSD cache properly with
  krb5_validate = True and SElinux enabled

* Mon Aug 29 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-49
- Resolves: rhbz#732010 - LDAP+GSSAPI needs explicit Kerberos realm
- Resolves: rhbz#733382 - SSSD should pick a user/group name when there are
                          multi-valued names
- Resolves: rhbz#733409 - Improve password policy error message
- Resolves: rhbz#733663 - Authentication fails when there exists an empty
                          hbacsvcgroup
- Resolves: rhbz#732935 - Add LDAP provider option to set
                          LDAP_OPT_X_SASL_NOCANON
- Resolves: rhbz#734101 - sssd blocks login of ipa-users

* Wed Aug 24 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-48
- Related:  rhbz#728353 - Resolve RPMDiff errors in SSSD

* Mon Aug 08 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-47
- Resolves: rhbz#728961 - Provide a mechanism for vetoing the use of certain
                          shells

* Thu Aug 04 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-46
- Related:  rhbz#728267 - When non-posix groups are skipped, initgroups
                          returns random GID

* Thu Aug 04 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-45
- Related:  rhbz#726466 - HBAC rule evaluation does not support extended
                          UTF-8 languages
- Related:  rhbz#718250 - Remove DENY rules from the HBAC access provider
- Fixes an issue on big endian platforms

* Thu Aug 04 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-44
- Resolves: rhbz#700828 - Process /usr/libexec/sssd/sssd_be was killed by
                          signal 11 (SIGSEGV) when ldap_uri is misconfigured
- Resolves: rhbz#726438 - sssd doesn't honor ldap supportedControls 
- Resolves: rhbz#726466 - HBAC rule evaluation does not support extended
                          UTF-8 languages
- Resolves: rhbz#718250 - Remove DENY rules from the HBAC access provider
- Resolves: rhbz#728267 - When non-posix groups are skipped, initgroups
                          returns random GID
- Resolves: rhbz#726475 - sssd_pam leaks file descriptors
- Resolves: rhbz#725868 - Explicitly ignore groups with gidNumber = 0

* Wed Jul 13 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-43
- Related:  rhbz#721052 - sssd does not handle kerberos server IP change
-                         Use ares_search instead of ares_query to honor
-                         search entries in /etc/resolv.conf

* Wed Jul 13 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-42
- Resolves: rhbz#711416 - During the change password operation the ccache is
-                         not replaced by a new one if the old one isn't
-                         active anymore
- Resolves: rhbz#715609 - Certificate validation fails with message
-                         "Connection error: TLS: hostname does not match CN
-                         in peer certificate"
- Resolves: rhbz#719089 - IPA dynamic DNS update mangles AAAA records
- Resolves: rhbz#721052 - sssd does not handle kerberos server IP change
-                         Honor TTL values when resolving hostnames

* Fri Jun 24 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-41
- Resolves: rhbz#713961 - libsss_ldap segfault at login against OpenLDAP
- Resolves: rhbz#713438 - sssd shuts down if inotify crashes

* Thu Jun 02 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-40
- Resolves: rhbz#709081 - sssd.$arch should require sssd-client.$arch

* Thu Jun 02 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-39
- Resolves: rhbz#709342 - Typo in negative cache notification for initgroups()
- Resolves: rhbz#708009 - "renew_all_tgts" and "renew_handlers" messages are
-                         being logged multiple times when the provider comes
-                         back online
- Resolves: rhbz#707997 - The IPA provider does not work with IPv6
- Resolves: rhbz#677327 - [RFE] Support overriding attribute value
- Resolves: rhbz#692090 - SSSD is not populating nested groups in
-                         Active Directory


* Fri May 27 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-38
- Resolves: rhbz#707627 - Include valid "ldap_uri" formats in sssd-ldap man
-                         page

* Wed May 25 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-37
- Resolves: rhbz#707513 - Unable to authenticate users when username
-                         contains "\0"

* Tue May 24 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-36
- Resolves: rhbz#698723 - kpasswd fails when using sssd and
-                         kadmin server != kdc server

* Tue May 24 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-35
- Resolves: rhbz#707282 - latest sssd fails if ldap_default_authtok_type is
-                         not mentioned
- Resolves: rhbz#692404 - rfc2307bis groups are being enumerated even when the
-                         gidNumber is out of the range of min_id,max_id.
- Resolves: rhbz#699530 - Users with a local group as their primary GID are
-                         denied access by the simple access provider
- Resolves: rhbz#700172 - RFE: SSSD should support paged LDAP lookups
- Resolves: rhbz#705434 - IPA provider fails initgroups() if user is not a
-                         member of any group
- Resolves: rhbz#703624 - SSSD's async resolver only tries the first
-                         nameserver in /etc/resolv.conf

* Tue May 03 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-34
- Resolves: rhbz#701700 - sssd client libraries use select() but should use
-                         poll() instead

* Mon May 02 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-33
- Related: rhbz#693818 - Automatic TGT renewal overwrites cached password
- Fix segfault in TGT renewal

* Fri Apr 29 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-32
- Related: rhbz#693818 - Automatic TGT renewal overwrites cached password
- Fix typo causing build breakage

* Fri Apr 29 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-31
- Resolves: rhbz#693818 - Automatic TGT renewal overwrites cached password

* Fri Apr 15 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-30
- Resolves: rhbz#696972 - Filters not honoured against fully-qualified users

* Thu Apr 14 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-29
- Resolves: rhbz#694146 - SSSD consumes GBs of RAM, possible memory leak

* Tue Apr 12 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-28
- Related:  rhbz#691678 - SSSD needs to fall back to 'cn' for GECOS
-                         information

* Tue Apr 12 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-27
- Related:  rhbz#694783 - SSSD crashes during getent when anonymous bind is
-                         disabled

* Mon Apr 11 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-26
- Resolves: rhbz#694444 - Unable to resolve SRV record when called with
-                         _srv_,<fixed ldap uri> in ldap_uri
- Related:  rhbz#694783 - SSSD crashes during getent when anonymous bind is
-                         disabled

* Fri Apr 08 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-25
- Resolves: rhbz#694783 - SSSD crashes during getent when anonymous bind is
-                         disabled

* Fri Apr 01 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-24
- Resolves: rhbz#692472 - Process /usr/libexec/sssd/sssd_be was killed by
-                         signal 11 (SIGSEGV)
-                         Fix is to not attempt to resolve nameless servers

* Wed Mar 30 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-23
- Resolves: rhbz#691678 - SSSD needs to fall back to 'cn' for GECOS
-                         information

* Mon Mar 28 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-21
- Resolves: rhbz#690866 - Groups with a zero-length memberuid attribute can
-                         cause SSSD to stop caching and responding to
-                         requests

* Fri Mar 25 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-20
- Resolves: rhbz#690131 - Traceback messages seen while interrupting
-                         sss_obfuscate using ctrl+d
- Resolves: rhbz#690421 - [abrt] sssd-1.2.1-28.el6_0.4: _talloc_free: Process
-                         /usr/libexec/sssd/sssd_be was killed by signal 11
-                         (SIGSEGV)

* Mon Mar 21 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-17
- Related: rhbz#683885 - SSSD should skip over groups with multiple names

* Mon Mar 21 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-16
- Resolves: rhbz#683158 - SSSD breaks on RDNs with a comma in them
- Resolves: rhbz#689886 - group memberships are not populated correctly during
-                         IPA provider initgroups
- Resolves: rhbz#683885 - SSSD should skip over groups with multiple names

* Wed Mar 09 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-15
- Resolves: rhbz#683860 - Skip users and groups that have incomplete contents
- Resolves: rhbz#688491 - authconfig fails when access_provider is set as krb5
-                         in sssd.conf

* Wed Mar 09 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-14
- Resolves: rhbz#683255 - sudo/ldap lookup via sssd gets stuck for 5min
-                         waiting on netgroup
- Resolves: rhbz#683431 - sssd consumes 100% CPU
- Related: rhbz#680440  - sssd does not handle kerberos server IP change

* Tue Mar 08 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-13
- Related: rhbz#680440 - sssd does not handle kerberos server IP change
-   SSSD was staying with the old server if it was still online

* Mon Mar 07 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-12
- Resolves: rhbz#682850 - IPA provider should use realm instead of ipa_domain
-                         for base DN

* Mon Mar 07 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-11
- Resolves: rhbz#682340 - sssd-be segmentation fault - ipa-client on
-                         ipa-server
- Resolves: rhbz#680440 - sssd does not handle kerberos server IP change
- Resolves: rhbz#680442 - Dynamic DNS update fails if multiple servers are
-                         given in ipa_server config option
- Resolves: rhbz#680932 - Do not delete sysdb memberOf if there is no memberOf
-                         attribute on the server
- Resolves: rhbz#682807 - sssd_nss core dumps with certain lookups

* Tue Feb 22 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-10
- Related: rhbz#678614 - SSSD needs to look at IPA's compat tree for netgroups
- Related: rhbz#679082 - SSSD IPA provider should honor the krb5_realm option

* Tue Feb 22 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-9
- Resolves: rhbz#679082 - SSSD IPA provider should honor the krb5_realm option
- Resolves: rhbz#677318 - Does not read renewable ccache at startup

* Mon Feb 21 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-8
- Resolves: rhbz#678593 - User information not updated on login for secondary
-                         domains
- Resolves: rhbz#678777 - IPA provider does not update removed group
-                         memberships on initgroups

* Sat Feb 19 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-7
- Resolves: rhbz#677588 - sssd crashes at the next tgt renewals it tries
- Resolves: rhbz#678410 - name service caches names, so id command shows
-                         recently deleted users
- Resolves: rhbz#678614 - SSSD needs to look at IPA's compat tree for
-                         netgroups

* Tue Feb 08 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-6
- Resolves: rhbz#670511 - SSSD and sftp-only jailed users with pubkey login
- Resolves: rhbz#675284 - "no matching rule" message logged on all successful
-                         requests
- Resolves: rhbz#676911 - SSSD attempts to use START_TLS over LDAPS for
-                         authentication

* Thu Feb 03 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-5
- Resolves: rhbz#674164 - sss_obfuscate fails if there's no domain named
-                         "default"
- Resolves: rhbz#674515 - -p option always uses empty string to obfuscate
-                         password
- Resolves: rhbz#674141 - Traceback call messages displayed while
-                         "sss_obfuscate" command is executed as a non-root
-                         user

* Tue Feb 01 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-4
- Resolves: rhbz#674172 - Group members are not sanitized in nested group
- processing
- Put translated tool manpages into the sssd-tools subpackage

* Thu Jan 27 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-3
- Related:  rhbz#670259 - Refresh SSSD in 6.1 to 1.5.1
- Also add the updated ding-libs to the BuildRequires

* Thu Jan 27 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-2
- Related:  rhbz#670259 - Refresh SSSD in 6.1 to 1.5.1
- Explicitly require updated ding-libs

* Thu Jan 27 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-1
- Resolves: rhbz#670259 - Refresh SSSD in 6.1 to 1.5.1
- New upstream release 1.5.1
- Addresses CVE-2010-4341 - DoS in sssd PAM responder can prevent logins
- Vast performance improvements when enumerate = true
- All PAM actions will now perform a forced initgroups lookup instead of just
- a user information lookup
-   This guarantees that all group information is available to other
-   providers, such as the simple provider.
- For backwards-compatibility, DNS lookups will also fall back to trying the
- SSSD domain name as a DNS discovery domain.
- Support for more password expiration policies in LDAP
-    389 Directory Server
-    FreeIPA
-    ActiveDirectory
- Support for ldap_tls_{cert,key,cipher_suite} config options
- Assorted bugfixes

* Thu Jan 13 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.0-2
- Add noverify to sssd.conf
- Resolves: rhbz#627165 - TPS VerifyTest failure

* Thu Dec 23 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5.0-1
- Related: rhbz#644072 - Rebase SSSD to 1.5
- New upstream release 1.5.0
- Fixed issues with LDAP search filters that needed to be escaped
- Add Kerberos FAST support on platforms that support it
- Reduced verbosity of PAM_TEXT_INFO messages for cached credentials
- Added a Kerberos access provider to honor .k5login
- Addressed several thread-safety issues in the sss_client code
- Improved support for delayed online Kerberos auth
- Significantly reduced time between connecting to the network/VPN and
- acquiring a TGT
- Added feature for automatic Kerberos ticket renewal
- Provides the kerberos ticket for long-lived processes or cron jobs
- even when the user logs out
- Added several new features to the LDAP access provider
- Support for 'shadow' access control
- Support for authorizedService access control
- Ability to mix-and-match LDAP access control features
- Added an option for a separate password-change LDAP server for those
- platforms where LDAP referrals are not supported
- Added support for manpage translations

* Tue Dec 07 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-28.4
- Resolves: rhbz#660592 - SSSD shutdown sometimes hangs
- Resolves: rhbz#660585 - getent passwd <username>' returns nothing if its
-                         uidNumber gt 2147483647

* Thu Dec 02 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-36
- Resolves: rhbz#659401 - SSSD shutdown sometimes hangs

* Thu Dec 02 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-35
- Resolves: rhbz#645449 - 'getent passwd <username>' returns nothing if its
-                         uidNumber gt 2147483647

* Tue Nov 30 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-28.3
- Resolves: rhbz#658374 - sssd stops on upgrade

* Wed Nov 24 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-34
- Resolves: rhbz#658158 - sssd stops on upgrade

* Wed Nov 03 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-28.2
- Resolves: rhbz#649312 - SSSD will sometimes lose groups from the cache

* Wed Nov 03 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-33
- Resolves: rhbz#649286 - SSSD will sometimes lose groups from the cache

* Mon Oct 11 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-28.1
- Resolves: rhbz#637070 - the krb5 locator plugin isn't packaged for multilib
- Resolves: rhbz#642412 - SSSD initgroups does not behave as expected

* Mon Oct 11 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-32
- Resolves: rhbz#633406 - the krb5 locator plugin isn't packaged for multilib
- Resolves: rhbz#633487 - SSSD initgroups does not behave as expected

* Thu Sep 23 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-29
- Resolves: rhbz#633406 - the krb5 locator plugin isn't packaged for multilib

* Fri Sep 03 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-28
- Resolves: rhbz#629949 - sssd stops on upgrade

* Wed Aug 18 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-27
- Resolves: rhbz#625122 - GNOME Lock Screen unocks without a password

* Wed Aug 04 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-26
- Resolves: rhbz#621307 - Password changes are broken on LDAP

* Fri Jul 30 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-23
- Resolves: rhbz#617623 - SSSD suffers from serious performance issues on
-                         initgroups calls

* Fri Jul 23 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-21
- Resolves: rhbz#607233 - SSSD users cannot log in through GDM
-                       - Real issue was that long-running services
-                       - do not reconnect if sssd is restarted

* Fri Jul 09 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-20
- Resolves: rhbz#591715 - sssd should emit warnings if there are problems with
-                         /etc/krb5.keytab file

* Mon Jun 28 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-19
- Resolves: rhbz#606836 - libcollection needs an soname bump before RHEL 6
-                         final
- Resolves: rhbz#608661 - SASL with OpenLDAP server fails
- Resolves: rhbz#608688 - SSSD doesn't properly request RootDSE attributes

* Fri Jun 18 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-15
- New upstream bugfix release 1.2.1
- Resolves: rhbz#601770 - SSSD in RHEL 6.0 should ship with zero open Coverity
-                         bugs.
- Resolves: rhbz#603041 - Remove unnecessary option krb5_changepw_principal
- Resolves: rhbz#604704 - authconfig should provide error with no trace back
-                         if disabling sssd when sssd is not enabled
- Resolves: rhbz#591873 - Connecting to the network after an offline kerberos
-                         auth logs continuous error messages to sssd_ldap.log
- Resolves: rhbz#596295 - Authentication fails for user from the second domain
-                         when the same user name is filtered out from the
-                         first domain
- Related:  rhbz#598559 - Update translation files for SSSD before RHEL 6
-                         final

* Thu Jun 10 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.0-14
- Resolves: rhbz#593696 - Empty list of simple_allow_users causes sssd service
-                         to fail while restart
- Resolves: rhbz#600352 - Wrapping the value for "ldap_access_filter" in
-                         parentheses causes ldap_search_ext to fail
- Resolves: rhbz#600468 - Segfault in krb5_child
- Related:  rhbz#601770 - SSSD in RHEL 6.0 should ship with zero open Coverity
-                         bugs.

* Wed Jun 02 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.0-13
- Resolves: rhbz#598670 - Ccache file of a user is removed too early
- Resolves: rhbz#599057 - Incomplete comparison of a service name in
-                         IPA access provider
- Resolves: rhbz#598496 - Failure with IPA access provider
- Resolves: rhbz#599027 - Makefile typo causes SSSD not to use the
-                         kernel keyring

* Mon May 24 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.0-12
- New stable upstream version 1.2.0
- Support ServiceGroups for FreeIPA v2 HBAC rules
- Fix long-standing issue with auth_provider = proxy
- Better logging for TLS issues in LDAP
- Resolves: rhbz#584001 - Rebase sssd to 1.2
- Resolves: rhbz#584017 - Unconfiguring sssd leaves KDC locator file
- Resolves: rhbz#587384 - authconfig fails if krb5_kpasswd in sssd.conf
- Resolves: rhbz#587743 - Need to replicate pam_ldap's pam_filter in sssd.conf
- Resolves: rhbz#590134 - sssd: auth_provider = proxy regression
- Resolves: rhbz#591131 - Kerberos provider needs to rewrite kdcinfo file when
-                         going online
- Resolves: rhbz#591136 - Change SSSD ipa BE to handle new structure of the
-                         HBAC rule

* Wed May 19 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.92-11.1
- Improve DEBUG logs for STARTTLS failures

* Tue May 18 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.92-11
- New LDAP access provider allows for filtering user access by LDAP attribute
- Reduced default timeout for detecting offline status with LDAP
- GSSAPI ticket lifetime made configurable
- Better offline->online transition support in Kerberos

* Fri May 07 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.91-10
- Release new upstream version 1.1.91
- Enhancements when using SSSD with FreeIPA v2
- Support for deferred kinit
- Support for DNS SRV records for failover

* Fri Apr 02 2010 Simo Sorce <ssorce@redhat.com> - 1.1.1-3
- Bump up release number to avoid library sub-packages version issues with
  previous releases.

* Thu Apr 01 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.1-1
- New upstream release 1.1.1
- Fixed the IPA provider (which was segfaulting at start)
- Fixed a bug in the SSSDConfig API causing some options to revert to
- their defaults
- This impacted the Authconfig UI
- Ensure that SASL binds to LDAP auto-retry when interrupted by a signal

* Tue Mar 22 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.0-2
- Release SSSD 1.1.0 final
- Fix two potential segfaults
- Fix memory leak in monitor
- Better error message for unusable confdb

* Wed Mar 17 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.0-1.pre20100317git0ea7f19
- Release candidate for SSSD 1.1
- Add simple access provider
- Create subpackages for libcollection, libini_config, libdhash and librefarray
- Support IPv6
- Support LDAP referrals
- Fix cache issues
- Better feedback from PAM when offline

* Wed Feb 24 2010 Stephen Gallagehr <sgallagh@redhat.com> - 1.0.5-2
- Rebuild against new libtevent

* Fri Feb 19 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.0.5-1
- Fix licenses in sources and on RPMs

* Mon Jan 25 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.0.4-1
- Fix regression on 64-bit platforms

* Fri Jan 22 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.0.3-1
- Fixes link error on platforms that do not do implicit linking
- Fixes double-free segfault in PAM
- Fixes double-free error in async resolver
- Fixes support for TCP-based DNS lookups in async resolver
- Fixes memory alignment issues on ARM processors
- Manpage fixes

* Thu Jan 14 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.0.2-1
- Fixes a bug in the failover code that prevented the SSSD from detecting when it went back online
- Fixes a bug causing long (sometimes multiple-minute) waits for NSS requests
- Several segfault bugfixes

* Mon Jan 11 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.0.1-1
- Fix CVE-2010-0014

* Mon Dec 21 2009 Stephen Gallagher <sgallagh@redhat.com> - 1.0.0-2
- Patch SSSDConfig API to address
- https://bugzilla.redhat.com/show_bug.cgi?id=549482

* Fri Dec 18 2009 Stephen Gallagher <sgallagh@redhat.com> - 1.0.0-1
- New upstream stable release 1.0.0

* Fri Dec 11 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.99.1-1
- New upstream bugfix release 0.99.1

* Mon Nov 30 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.99.0-1
- New upstream release 0.99.0

* Tue Oct 27 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.7.1-1
- Fix segfault in sssd_pam when cache_credentials was enabled
- Update the sample configuration
- Fix upgrade issues caused by data provider service removal

* Mon Oct 26 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.7.0-2
- Fix upgrade issues from old (pre-0.5.0) releases of SSSD

* Fri Oct 23 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.7.0-1
- New upstream release 0.7.0

* Thu Oct 15 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.6.1-2
- Fix missing file permissions for sssd-clients

* Tue Oct 13 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.6.1-1
- Add SSSDConfig API
- Update polish translation for 0.6.0
- Fix long timeout on ldap operation
- Make dp requests more robust

* Tue Sep 29 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.6.0-1
- Ensure that the configuration upgrade script always writes the config
  file with 0600 permissions
- Eliminate an infinite loop in group enumerations

* Mon Sep 28 2009 Sumit Bose <sbose@redhat.com> - 0.6.0-0
- New upstream release 0.6.0

* Mon Aug 24 2009 Simo Sorce <ssorce@redhat.com> - 0.5.0-0
- New upstream release 0.5.0

* Wed Jul 29 2009 Jakub Hrozek <jhrozek@redhat.com> - 0.4.1-4
- Fix for CVE-2009-2410 - Native SSSD users with no password set could log in
  without a password. (Patch by Stephen Gallagher)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Simo Sorce <ssorce@redhat.com> - 0.4.1-2
- Fix a couple of segfaults that may happen on reload

* Thu Jun 11 2009 Simo Sorce <ssorce@redhat.com> - 0.4.1-1
- add missing configure check that broke stopping the daemon
- also fix default config to add a missing required option

* Mon Jun  8 2009 Simo Sorce <ssorce@redhat.com> - 0.4.1-0
- latest upstream release.
- also add a patch that fixes debugging output (potential segfault)

* Mon Apr 20 2009 Simo Sorce <ssorce@redhat.com> - 0.3.2-2
- release out of the official 0.3.2 tarball

* Mon Apr 20 2009 Jakub Hrozek <jhrozek@redhat.com> - 0.3.2-1
- bugfix release 0.3.2
- includes previous release patches
- change permissions of the /etc/sssd/sssd.conf to 0600

* Tue Apr 14 2009 Simo Sorce <ssorce@redhat.com> - 0.3.1-2
- Add last minute bug fixes, found in testing the package

* Mon Apr 13 2009 Simo Sorce <ssorce@redhat.com> - 0.3.1-1
- Version 0.3.1
- includes previous release patches

* Mon Apr 13 2009 Simo Sorce <ssorce@redhat.com> - 0.3.0-2
- Try to fix build adding automake as an explicit BuildRequire
- Add also a couple of last minute patches from upstream

* Mon Apr 13 2009 Simo Sorce <ssorce@redhat.com> - 0.3.0-1
- Version 0.3.0
- Provides file based configuration and lots of improvements

* Tue Mar 10 2009 Simo Sorce <ssorce@redhat.com> - 0.2.1-1
- Version 0.2.1

* Tue Mar 10 2009 Simo Sorce <ssorce@redhat.com> - 0.2.0-1
- Version 0.2.0

* Sun Mar 08 2009 Jakub Hrozek <jhrozek@redhat.com> - 0.1.0-5.20090309git691c9b3
- package git snapshot

* Fri Mar 06 2009 Jakub Hrozek <jhrozek@redhat.com> - 0.1.0-4
- fixed items found during review
- added initscript

* Thu Mar 05 2009 Sumit Bose <sbose@redhat.com> - 0.1.0-3
- added sss_client

* Mon Feb 23 2009 Jakub Hrozek <jhrozek@redhat.com> - 0.1.0-2
- Small cleanup and fixes in the spec file

* Thu Feb 12 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.1.0-1
- Initial release (based on version 0.1.0 upstream code)

